.. Licensed under the Apache License: http://www.apache.org/licenses/LICENSE-2.0
.. For details: https://github.com/nedbat/coveragepy/blob/master/NOTICE.txt

.. _api_plugin:

===============
Plug-in classes
===============

.. automodule:: coverage.plugin

.. module:: coverage
    :noindex:

The CoveragePlugin class
------------------------

.. autoclass:: CoveragePlugin
    :members:
    :member-order: bysource

The FileTracer class
--------------------

.. autoclass:: FileTracer
    :members:
    :member-order: bysource

The FileReporter class
----------------------

.. autoclass:: FileReporter
    :members:
    :member-order: bysource
